CREATE TABLE ego_base_expression_params (
    EXPRESSION_ID            NUMBER(18, 0) ,
    PARAMETER_SEQUENCE       NUMBER(18, 0) ,
    PARAMETER_TYPE           VARCHAR2(400)     NOT NULL,
    EVALUATE_PARAM_LAZY      VARCHAR2(4)   ,
    NULL_VALUE_ALLOWED       VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    EXPRESSION_ID            NUMBER(18, 0) ,
    PARAMETER_SEQUENCE       NUMBER(18, 0) ,
    PARAMETER_TYPE           VARCHAR2(400)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    EVALUATE_PARAM_LAZY      VARCHAR2(4)   ,
    NULL_VALUE_ALLOWED       VARCHAR2(4)   ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_ego_base_expression_params PRIMARY KEY (EXPRESSION_ID, PARAMETER_SEQUENCE, EXPRESSION_ID, PARAMETER_SEQUENCE)
);
